{
  "name": "Moth detector and classifier",
  "description": "Moth scanner (detection and classification) of moths developed in the context of the AMMOD project.",
  "supports": [
    "labeled-bounding-boxes"
  ],
  "code": {
    "module": "scanner",
    "class": "Scanner"
  },
  "detector": {
    "preprocess":{
      "min_size": 800,
      "scale": 0.1,
      "sigma": 5.0
    },
    "threshold": {
      "block_size_scale": 0.5
    },
    "postprocess":{
      "dilate_iterations": 3,
      "kernel_size": 5
    }
  },
  "classifier": {
    "model_type": "cvmodelz.InceptionV3",
    "input_size": 299,
    "weights": "classifier.npz",
    "n_classes": 200,
    "mapping": "mapping.json"
  }
}
